@charset "UTF-8";

html, body * {
    box-sizing: border-box;
}

html {
    font-size: 16px;
}
h2 {
    font-family: "hoss-round", sans-serif;
    font-weight: 400;
    font-style: normal;
    font-size: 1.5rem;
    color: aliceblue;
}
h3 {
    font-family: "hoss-round", sans-serif;
    font-weight: 600;
    font-style: normal;
    color: rgb(47, 47, 47);
    padding-top: 1rem; padding-left: 9rem;
}

body {
    margin: 0;
    padding: 0;
    font-family: 'Outfit', sans-serif;
    background-color: #adcaff
}

/* intro */
.intro{
    position: relative;
    z-index: 1;
}

img#mySvg {
    min-height: 100vh;
    object-fit: cover;
    width: 100%;
}

img#character {
    width: 33rem;
    position: absolute;
    left: 41rem;
    top: 12rem;
}

img#shadow {
    width: 19rem;
    position: absolute;
    left: 48rem;
    top: 56rem;

}

.instruccions img {
    min-height: 100vh;
    object-fit: contain;
    width: 100%;
    background-color: #eeedf2;
}

button#start{
    border-radius: 10rem;
    width: 8rem;
    height: 2rem;
    border: none;
    /* margin-top: 36rem; */
    position: absolute;
    top: 5rem;
    right: 5rem;
    color: #dee5fc;
    font-size: 1rem;
    border: none;
    background-color: #3b85f6;

}

#skip{
    position: absolute;
    border-radius: 10rem;
    width: 8rem;
    height: 2rem;
    border: none;
    background-color: #dee5fc;
    position: absolute;
    top: 3rem;
    right: 2rem;
    color: #3b85f6;
    font-size: 1rem;
}

/* menu  */
#home {
    position: absolute;
    top: 3rem;
    left: 3rem;
    width: 3rem;
    box-shadow:  0px 4px 15px 0px rgba(0, 0, 0, 0.10);  
}
#shuffle {
    position: absolute;
    top: 3rem;
    right: 3rem;
    width: 8rem;
    box-shadow:  0px 4px 15px 0px rgba(0, 0, 0, 0.10);  
}

/* score */
#score{
    font-size: 2rem;
    padding-top: .5rem; padding-left: 1.1rem;
    width: 6.5rem;
    height: 3.5rem;
    background-color: #ffffff;
    border-radius: 10rem;
    color: rgb(7, 0, 88);
    border: solid rgb(50, 179, 205);
    border-width: 4px;
    position: absolute;
    top: 3rem;
    right: 11rem;
    width: 8rem;
    box-shadow:  0px 4px 15px 0px rgba(0, 0, 0, 0.10);  
}
#logo {
    position: relative;
  
}
/* sect comments */
/* height: 1024px; */
/* adapt to all screen min-height: 100vh; ( min is a size relative to the viewport) */
/* .sect {
    display: flex;
    margin: 0 auto;
    width: 100%;
    min-height: 100vh; 
    align-items: center;
    background: #3b85f6;
    justify-content: flex-start;
    flex-direction: column;
} */
.sect{
    display: grid;
    place-content: center;
    min-height: 100vh;
    background: #3b85f6;
    gap: 120px;
    padding: 24px;
}

.sect-content{
    display: grid;
    gap: 2rem;
}

@media screen and (max-width: 767px) {
    .sect{
        gap: 50px;
    }
}
@media screen and (max-width: 1200px) {
    .sect{
        gap: 50px;
    }
}

.puzzleStyle {
    width: 100%;
    height: auto;
    border-radius: 100rem;
}

/* .one {
    padding-top: 11rem;
} */
.one, .two {
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 1rem;
    align-items: flex-start;  
    width: 100%;
    z-index: 2;
}  
.oneP,
.onePP,
.twoP,
.twoPP {
    width: 29rem;
}

@media screen and (min-width: 2000px){
    .oneP,
    .onePP,
    .twoP,
    .twoPP {
        width: 50rem;
    }    
}

#logo {
    position: relative;
    width: 20rem;
    /* margin-right: auto;
    top: 3rem;
    left: 12%; */
}
img#menuIlo {
    position: absolute;
    width: 20rem;
    right: 0rem;
    bottom: 0rem;
}
img#menuIlo2 {
    position: absolute;
    width: 15rem;
    left: 0rem;
    bottom: 0rem;
}

.sect1, .sect2, .sect3, .sect4, .board{
    visibility: hidden;
}

/* .sect1, .sect2, .sect3, .sect4, .board, .sect, #logo, #menuIlo, #menuIlo2  {
    visibility: hidden;
} */



/* scenes */
object#scene1,
object#scene2,
object#scene3,
object#scene4 {
    position: absolute;
    top: 0;
    
}

/* Board */
.board{
 
    display: flex;
    flex-direction: row;
    justify-content: center;
}
.boardRight {
    display: flex;
    flex-direction: row;
}
.boardLeft {
    position: absolute;
    bottom: 1rem;
    background-color: #ffffffac;
    border-radius: 1rem;
    height: 10rem;
  
}
#item0, #item1, #item2, #item3, #item4, #item5 img {
    width: 6.5rem;
    height: 6.5rem;
    border-radius: 0.5rem;
    padding: 1rem;
    /* border: solid rgb(50, 179, 205); */
    margin: 1.8rem;
    background-color: rgba(255, 255, 255, 0.793);
}
/* score */

#score{
    font-size: 2rem;
    padding-top: .5rem; padding-left: 1.1rem;
    width: 6.5rem;
    height: 3.5rem;
    position: absolute;
    top: 3rem;

    background-color: #ffffff;
    border-radius: 10rem;
    box-shadow:  0px 4px 15px 0px rgba(0, 0, 0, 0.354); 
    color: rgb(7, 0, 88);
    border: solid rgb(50, 179, 205);
    border-width: 4px;
}

.Right {
    background-color: bisque;
    display: flex;
    justify-content: flex-end;
    flex-wrap: wrap;
    align-content: center;
}
#timer {
    font-size: 64px;
    margin-bottom: 20px;
    background-color: #ffffff;
    position: absolute;
    top: 0;
   }
   
#message {
    font-size: 24px;
    color: red;
 }
#message-button {
        font-size: 18px;
        padding: 5px 10px;
        margin-left: 10px;
}
.message, .modalwinner{
    position: fixed;
    inset: 0;
  
    place-items: center;
    z-index: 10;
    background-color: rgba(0, 0, 0, 0.6);
    display: none;

}
.message.show{
    display: grid;
}

.modalwinner.show{
    display: grid;
}

.modalBox {
    padding: 2rem;
    background-color: white;
    border-radius: 1rem;
    color: #2151b6;
}

button#backLevels {
    color: #dee5fc;
    font-size: 1rem;
    border: none;
    width: 8rem;
    height: 2rem;
    background-color: #3b85f6;
    border-radius: 10rem;
    margin: 0.5rem;
}

button#loseButton {
    color: #dee5fc;
    font-size: 1rem;
    border: none;
    width: 8rem;
    height: 2rem;
    background-color: #eb5753;
    border-radius: 10rem;
    margin: 0.5rem;
}

/* Media queries for responsiveness */
/* @media only screen and (max-width: 600px) {
    button#start  {
        bottom: 5rem;
    }
} */